#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 10. Graphics and Font Libraries

- Prev

  sassc-3.6.2

- Next

  zxing-cpp-3.0.2

- Up
- Home

# woff2-1.0.2

## Introduction to WOFF2

WOFF2 is a library for converting fonts from the TTF format to the WOFF 2.0 format. It also allows decompression from WOFF 2.0 to TTF. The WOFF 2.0 format uses the Brotli compression algorithm to compress fonts suitable for downloading in CSS @font-face rules.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/google/woff2/archive/v1.0.2/woff2-1.0.2.tar.gz

- Download MD5 sum: 793c8844845351cb80730a74937e411b

- Download size: 39 KB

- Estimated disk space required: 1.6 MB

- Estimated build time: less than 0.1 SBU

### WOFF2 Dependencies

#### Required

Brotli-1.2.0 and CMake-4.3.2

## Installation of WOFF2

First, fix a problem when building with gcc-15:

    sed -i '/output.h/i #include <cstdint>' src/woff2_out.cc

Install WOFF2 by running the following commands:

    mkdir out                                 &&
    cd    out                                 &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_BUILD_TYPE=Release         \
          -D CMAKE_POLICY_VERSION_MINIMUM=3.5 \
          -D CMAKE_SKIP_INSTALL_RPATH=ON ..   &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-D CMAKE_SKIP_INSTALL_RPATH=ON`: This switch makes cmake remove hardcoded library search paths (rpath) when installing a binary executable file or a shared library. This package does not need rpath once it's installed into the standard location, and rpath may sometimes cause unwanted effects or even security issues.

`-D CMAKE_POLICY_VERSION_MINIMUM=3.5`: This switch allows building this package with cmake-4.0 or newer.

## Contents

Installed Program: None
Installed Libraries: libwoff2common.so, libwoff2dec.so and libwoff2enc.so
Installed Directory: /usr/include/woff2

### Short Descriptions

`libwoff2common.so` | provides shared data used by the libwoff2dec and libwoff2enc libraries
`libwoff2dec.so` | is the WOFF2 decoder library
`libwoff2enc.so` | is the WOFF2 encoder library

- Prev

  sassc-3.6.2

- Next

  zxing-cpp-3.0.2

- Up
- Home